Welcome to StuffIt 7.5

StuffIt Express allows you to create drop box applications that automate common compression and file transfer tasks, such as compressing files and uploading them to an FTP server.

StuffIt features a powerful self-extracting archive creation utility that allows you to create .exe files that can contain text messages, commands, and can even send you an email message to let you know when and by whom they have been opened.

The OfficeReady StuffIt plug-ins by KMT allow you to save your Microsoft office documents as compressed StuffIt and Zip files. You can even compress and send your Word, Excel, and PowerPoint documents directly from within the application without launching the StuffIt application!

Welcome to StuffIt Standard Edition™ 7.5

StuffIt Deluxe 7.5 is a fully featured compression program that offers many unique and exciting features that are designed to make it easy for you to create and work with your archives. In addition to creating zip archives, StuffIt 7.5 allows you to create and expand archives in StuffIt format, a special compression method designed to compress large files up to 20% smaller than zip. StuffIt 7.5 will also expand a wide variety of archive formats, including tar, RAR, LHA, and uucode.

StuffIt is the best way to transfer files on the Internet.

  • Fast!: The smaller the file the quicker it will be transferred.

  • Safe!: StuffIt archives protect files against corruption.

  • Secure!: Use StuffIt's powerful encryption to guarantee your privacy.

Upgrade to StuffIt Deluxe today!

If you like StuffIt Standard Edition, you'll love StuffIt Deluxe! In addition to the StuffIt application, StuffIt Deluxe includes the following great programs that make working with archives and sending files over the internet even easier:

  • StuffIt Express

  • SEA Builder

  • OfficeReady StuffIt by KMT

If you're using StuffIt for the first time, we'd recommend that you view the "Getting Started" topic before you begin.

If you would like to purchase this or other Aladdin products, or require technical support, please view the Contacting Aladdin topic.

Use of this product is subject to acceptance of the Aladdin Systems License Agreement included in this package. Copyright © 1997- 2002, Aladdin Systems, Inc. All rights reserved. StuffIt, StuffIt Deluxe, StuffIt Expander, Expander, DropStuff, StuffIt Express, ArchiveSearch, the StuffIt Clamp, the Aladdin Logo, Aladdin, and Aladdin Systems are trademarks of Aladdin Systems, Inc. Microsoft and Windows are registered trademarks of Microsoft Corporation. OfficeReady is a trademark of KMT Software. Other brand and product names are the trademarks or registered trademarks of their respective owners. Rev. 4/ 02


Upgrading from StuffIt 7.0

Welcome back to StuffIt!

First of all, from all of us at Aladdin, thank you for your continued support of our StuffIt products. We hope that you share our excitement about this new release, we believe that the new version of StuffIt is a considerable improvement over our previous releases, and we're even more excited about the changes that lie ahead.

If you are a registered user of StuffIt for Windows 7.0, you can use your registration number to register StuffIt Standard Edition for free. Your number should begin with the letters "SFWB". If you don't have your number written down, you can find it by launching DropStuff, and choosing "About DropStuff" from the Help menu. When you next launch StuffIt Standard, just type in the number in the field provided.

StuffIt Standard Edition does not include a version of StuffIt Express, so you should keep your copy of StuffIt 7.0 installed if you would like to continue using Express.

Upgrade to StuffIt Deluxe!

StuffIt on Windows now comes in two flavors, StuffIt Standard Edition and StuffIt Deluxe. The main StuffIt application is identical between the two releases. The difference lies in all the extras we provide in the Deluxe package:

  • OfficeReady StuffIt by KMT software. OfficeReady StuffIt allows you to compress and mail your Word, Excel, and PowerPoint documents directly from within your Microsoft Office applications. There's no need to launch the StuffIt application, or even to save your file to disk first!

  • SEA Builder: StuffIt Deluxe comes with a fully featured tool that allows you create powerful self-extracting archives that any PC user can open with out having any special un-zipping software installed. The SEA's you create can define the folder to which files will be installed, and can also open or launch files that have just been expanded. You can configure your SEA to display a message to the user when it is run, and you can even have the SEA send you a file to let you know that its contents were successfully expanded!

  • StuffIt Express: StuffIt Express allows you to build customized drop box applications that can be used to automate all the file compression and transfer tasks you perform on a regular basis.


Getting Started

The following topics are designed to get you started with the StuffIt application and include basic information about creating and expanding archives and encoded files. The easiest way to use the StuffIt application is to Drag and Drop the files that you want to compress, or the archives you want to expand.

  • Using Drag and Drop to Expand and Compress Files

  • Expanding Archives and Encoded Files

  • Creating Archives

  • Extracting Files from an Archive

  • Adding Files to an Archive

  • Searching for Files in an Archive

For more detailed information about StuffIt Deluxe open the StuffIt Reference Book.

Copyright © 2002 by Aladdin Systems, Inc. All rights reserved.


Using Drag and Drop

Drag and Drop to Expand

The easiest way to expand archives and encoded files with the StuffIt application is to "Drag and Drop" the file you want to decompress onto the Expand drop area in the StuffIt application.

To Expand an archive:

1. Use the "Folders" tab to select the folder that contains the archive you want to open.

2. Select the archive you want to expand in the "Folder Contents" tab and drag it to the "Expand" drop area. Note: You can also drag and drop from a Windows Explorer folder.

You can also use drag and drop to view the contents of an archive, or open it to add new files.

To View the Contents of an archive:

1. Use the "Folders" tab to select the folder that contains the archive you want to look inside.

2. Select the archive you want to view in the "Folder Contents" tab and drag it to the "View" drop area.

Drag and Drop to Compress

Drag and drop can also be used to create archives.

To Compress files into an archive:

1. Use the "Folders" tab to select the folder that contains the files you want to compress.

2. Select the files you want to view in the "Folder Contents" tab and drag them to the Compress drop area. Note: You can also drag and drop directly from a Windows Explorer folder.

Note: If you want to view the contents of the archive you have just created, drag the files you want to compress to the "Create and Open Archive" drop area.

Selecting the Archive Format: You can determine what format the archive will be created in by clicking either the Zip or StuffIt buttons in the Drop Area caption bar.

Password Protection: When you create an archive using the compress drop area, you can turn password protection on or off by clicking the password button in the Drop Area caption bar.

Mailing the archive: You can add the archive you just created to an email message by clicking the Email button in the Drop Area caption bar.

Next: Expanding Archives and Encoded Files


Expanding Archives

Expanding Archives and Encoded Files

The StuffIt Application provides several ways to expand archives and encoded files.

In a Windows Explorer Folder:

Double Click: When the archive or encoded file is associated with the StuffIt application, you can expand by double-clicking it. The StuffIt application will display a progress bar while expanding the file, and will place the contents of the archive in the same Windows Explorer folder as the archive itself. The first time you double click a StuffIt (.sit) or Zip (.zip) archive, you will be asked whether you want these archive to be immediately expanded, or opened for viewing. If you choose open for viewing, the contents of the archive will be displayed in the ArchiveView panel of the StuffIt application.

Right Click: When you right click an archive or encoded file, you can choose the Expand command to immediately Expand the contents of the archive to the same Windows Explorer location as the archive. If you right click on a StuffIt (.sit) or Zip (.zip) archive you will see View available as a second command. Choosing View will open the archive in the StuffIt application so you can view the contents.

In the StuffIt Application:

Drag and Drop: You can use the Folders tab to navigate to the directory that contains the files you want to expand, and then drag the files you want to open from the Folder Contents panel to the Expand drop area. For more information on Drag and Drop, please view the Drag and Drop topic.

Next: Creating Archives


Creating Archives

The StuffIt application provides many ways to create archives. Some, such as the StuffIt Context Menu, are best suited to quick compression tasks, others, are better suited to more complex archiving tasks.

In a Windows Explorer Folder:

StuffIt Context Menu: When you right click a file or folder in the Windows environment, the StuffIt context menu is available to provide an easy way to archive the selected items. Choose Compress from the StuffIt menu to compress the selected items into an archive. StuffIt will use the format that is currently specified as the default in the Compress Tab of the Options sheet. For more information on the StuffIt Context menu, and its available options, please view the StuffIt Context Menu topic.

In the StuffIt Application:

Drag and Drop: You can use the Folders tab to navigate to the directory that contains the files you want to compress, and then drag these files from the Folder Contents panel to the Compress drop area. For more information on Drag and Drop, please view the Drag and Drop topic.

Creating a New Archive in ArchiveView: For more complex compression tasks you can create a new archive using the archive viewer. This is the best method if you need to add multiple files from various locations to the archive you are creating. To create a new archive in ArchiveView:

1. Click the New Archive button in the Toolbar.

To add content to this new archive:

1. Use the Folders Tab to navigate to the folder that contains the files you want to archvie.

2. Drag the files you want to archive from the Folder Contents Tab into the new archive window.

If you want to add files from a different location to the new archive, you can use the Folders Tab to navigate to a new folder, and drag files from the Folder Contents panel to the new archive.

When you have finished adding files to your new archive, choose Save from the File menu to start compression. When you save the archive you can specify the format that the archive will be saved in.

You can also Drag and Drop Files into the new archive from a Windows Explorer Window.

The Add Files dialog provides a more powerful way to add files, allowing you to add files based on name and date criteria. For more information on the Add Files dialog, please view its topic.

Next: Extracting Files from an Archive


Extract Files from an Archive

StuffIt allows you to view the contents of a StuffIt or Zip archive, and allows you to extract individual files without expanding the whole archive.

Viewing the Contents of an Archive: To view the contents of a StuffIt (.sit) or Zip (.zip) archive use the Folders Tab to navigate to the folder that contains the archive you want to view. You can then drag the file from the Folder Contents panel to the View drop area. You can also choose to have StuffIt and Zip archive open in ArchiveView when you double click them. You will be given the chance to set this preference the first time you double click a Zip or StuffIt archive. You can change this setting later, in the General Tab of the Options sheet.

You can Extract a file by right clicking it in ArchiveView, and clicking the Extract Files button on the StuffIt toolbar. This action will result in a dialog allowing you to browse for a location in which to save the file.

Double-clicking a file in an archive will cause the file to be opened.

Navigating folders within an Archive: In the same way that a hard drive can contain multiple nested folders, an archive can also contain a directory structure made up of nested folders. To open a folder in an archive, double click the folder in ArchiveView. To move out of the folder (ie move up a level in the directory) double click the "Up a Level" folder.

Next: Adding Files to an Archive


Add Files to an Archive

To add files to an existing archive, the archive must first be opened in the StuffIt application.

Viewing the Contents of an Archive: To view the contents of a StuffIt (.sit) or Zip (.zip) archive use the Folders Tab to navigate to the folder that contains the archive you want to view. You can then drag the file from the Folder Contents panel to the View drop area. You can also choose to have StuffIt and Zip archives open in ArchiveView when you double click them. You will be given the chance to set this preference the first time you double click a Zip or StuffIt archive. You can change this setting later, in the General Tab of the Options sheet.

When an archive is open in ArchiveView, you can add files by dragging them to the ArchiveView dialog from a Windows Explorer folder, or the Folder Contents panel. You can add folders to an archive by dragging them from either Windows Explorer or the Folders tab.

You can also add files to an archive using the Add Files dialog. The Add Files dialog is designed for complex archiving tasks, and allows you to add files by criteria such as name and date.

Navigating folders within an Archive: In the same way that a hard drive can contain multiple nested folders, an archive can also contain a folder structure made up of nested folders. To open a folder in an archive, double click the folder in ArchiveView. To move out of the folder (i.e. move up a level in the directory) double click the "Up a Level" folder.

Next: Searching for Files in an Archive

Copyright © 2001 by Aladdin Systems, Inc. All rights reserved.


Searching for Files in an Archive

StuffIt includes ArchiveSearch, technology that allows you to search for files that are stored within StuffIt and Zip archives.

Open ArchiveSearch: To open the ArchiveSearch dialog, click the ArchiveSearch button on the Toolbar, or click the ArchiveSearch tab.

Searching for Files: ArchiveSearch works much like the Find Files feature in Windows. To search for a file located in an archive:

1. Enter the name of the file you are looking for in the "Search for Files or Folders named..." field.

2. Choose the drive that contains the archives you wish to search in the "Look In" field. You can choose to search all drives by choosing My Computer.

3. Click the Search Now button to begin the search.

Files that match your request will be displayed in the Search Results panel. You can then choose to extract a matching file from its archive, expand the whole archive, or open the archive that contains the file in ArchiveView.

Search Criteria: ArchiveSearch allows you to narrow you search using a number of parameters.

  • Date: Click the Date check box to reveal options that allow you to narrow the search by specifying the date range in which the file you are looking for was modified.

  • Type: The "Type" field allows you to specify the type of document you are looking for. You can use this field, for example, to narrow the search to only Excel Workbooks.

  • Size: The size field allows you to narrow the search based on the size of the file you are looking for. You can specify that ArchiveSearch only return files larger than, or smaller than, a specified size.

  • Format: The formats field allows you narrow the search so that ArchiveSearch will only look in StuffIt archives, or only look in Zip archives.

Search Options: ArchiveSearch also lets you exclude certain folders from the Search. This can be helpful, as often you may find archived files in the Windows System directory that typically will not need to be searched. You can add or remove excluded folders in the ArchiveSearch tab of the Options sheet.

End of Getting Started. For more information go to: StuffIt Reference


StuffIt Reference

StuffIt Reference Guide

This book is designed to provide more detailed information about particular areas of the StuffIt application, and about compression in general. This book also contains information about the various options that can be set in the StuffIt application, and their effect. The StuffIt application includes a complete command line syntax that is also described in this section.

This topic is broken up into to several sections. The first deals with the various ways you can work with the StuffIt application to create and expand archives.

  • Working with the User Interface

  • ArchiveView

  • Add Files Dialog

  • Drag and Drop Windows

  • StuffIt Context Menu

The second section describes the various functions of the left hand panel, or "Explorer Bar", of the StuffIt application.

  • Folders Tab

  • ArchiveSearch Tab

  • ArchiveInfo Tab

  • Deluxe Info Tab

The third section covers the various actions available through the StuffIt toolbar buttons, and the menu bar.

  • StuffIt Toolbar Buttons

  • Menu Items

The fourth section covers the StuffIt options dialog.

  • StuffIt Application Options

The last section covers various topics related to the StuffIt application and compression.

  • Command Line Options

  • Supported Archived and Encoding Formats

  • Compression Primer

  • StuffIt, NTFS, and Macintosh Files


Working with the UI

Working with the StuffIt User Interface

Default View when launching from the Start Menu, or Double Clicking an archive

By default, when you first launch the StuffIt application the interface is divided into two parts; the right half of the interface is used to display the ArchiveView window (which is used to display the contents of the currently open archive), and the left half of the interface displays the ArchiveInfo window (which displays information about the archive you have opened).

Fig: StuffIt application in its default view.

To open an existing archive when the application is in its default view, drag and drop an archive from a Windows Explorer folder to the ArchiveView (right half) section of the application.

To start making a new archive when the application is in its default view, drag and drop files from a Windows Explorer folder to the ArchiveView (right half) section of the application.

Using the "Folders" Window

In addition to the default view described above, the StuffIt application also supports other views that can be useful when working with archives.

The ArchiveInfo window to the left of the application can be switched to a "Folders" view that works in the same way as the Folders view in Windows Explorer. To open the folders view, click the Folders button in the StuffIt toolbar. This view can be useful if you need to quickly access files and folders that are buried many levels deep on your hard drive. When you select a folder in the Folders window, the contents of that folder will be displayed in a new window, called Folder Contents. The Folder Contents window will appear beneath the ArchiveView window to the right of the application Interface. You can drag and drop files from the Folder Contents window directly into the ArchiveView window.

To create an archive using the Folders and Folder Contents view:

1. In the Folders tab, select the folder that contains the files you want to compress.

2. Locate and select the files in the Folder contents tab.

3. Drag and Drop the files from Folder contents to the Compress Drop Area.

4. By default, the archive containing the files will now be displayed, along with the files, in the Folder Contents panel.

Using the Drag and Drop Window

You can also choose to replace the ArchiveView window in the right hand part of the application with a Window that features four drag and drop areas. To open the drag and drop window, click the Drag and Drop button in the StuffIt toolbar. The drag and drop area provides four drag and drop areas, Expand, Create, View, and Create and Open. For more information about using Drag and Drop, click here to view the Drag and Drop topic.

Fig: StuffIt application with Folders and Drag and Drop areas displayed.

Other views in the StuffIt application

The StuffIt application also provides some pre-defined custom views. You can switch to one of these views by choosing it from the Views menu.

Compact Mode: When you click the Compact Mode button the application will automatically close the left hand panel and the lower right panel, leaving only the upper right panel on screen. The application will also re-size itself to take up less space on your screen.

Expander Mode: This mode is designed to emulate the "Look and Feel" of StuffIt Expander. When you choose Expander Mode, the application will close the left hand panel and the lower right panel, and will display only the Expand drop area. This mode is also used when you launch the StuffIt application by double clicking on the StuffIt Expander desktop icon.

DropStuff Mode: This mode is designed to emulate the "Look and Feel" of DropStuff. When you choose DropStuff Mode from the View menu, the application will close the left hand panel and the lower right panel, and will display only the Compress drop area. This mode is also used when you launch the StuffIt application by double clicking on the DropStuff desktop icon.

ArchiveView Mode: ArchiveView mode works in the same way as Compact mode, except that the application will automatically switch to ArchiveView even if it was not previously open.

Next: ArchiveView


Viewing the contents of an archive

ArchiveView

StuffIt allows you to view the contents of a StuffIt or Zip archive, and allows you to extract individual files without expanding the whole archive.

Viewing the Contents of an Archive: To view the contents of a StuffIt (.sit) or Zip (.zip) archive use the Folders Tab to navigate to the folder that contains the archive you want to view. You can then drag the archive from the Folder Contents panel to the View drop area. You can also choose to have StuffIt and Zip archives open in ArchiveView when you double click them. You will be given the chance to set this preference the first time you double click a Zip or StuffIt archive. You can change this setting later, in the General Tab of the Options sheet.

Navigating folders within an Archive: In the same way that a hard drive can contain multiple nested folders, so an archive can also contain a folder structure made up of nested folders. To open a folder in an archive, double click the folder in ArchiveView. To move out of the folder (ie move up a level in the directory) double click the "Up a Level" folder.

Fig: Archive open in ArchiveView

Extracting Files from an Archive: The Extract Files dialog is used when you select files in an open archive and click the "Extract Files" button, or when you right click a file in ArchiveView and choose Extract from the context menu. The dialog displays a list of the selected files, and allows you to browse for a location on your hard drive to which they should be saved.

Adding Files to an Archive: When an archive is open in ArchiveView, you can add files and folders to an archive by dragging and dropping them from a Windows Explorer Window.

You can also Add Files to an archive using the Folders tab. Select the folder that contains the files you want to add in the Folders tab, and then drag and drop the files from the Folder Contents window to Archive View.

Next: Add Files Dialog


Add Files Dialog

The Add Files dialog is designed to provide a powerful tool to use when creating and maintaining complex archives. Using the Add Files dialog you can:

  • Add Files to an existing archive

  • Add files based on their date of modification.

  • Add files based on matches to a specified search string.

  • Add files using wild card characters.

  • Save a list of files to add for later use.

Adding Files and Folders.

The "General" tab of the Add Files dialog contains the "Files to Add" list, along with several buttons that offer different ways to select those files you wish to add.

Add Files: This button opens a file selection dialog that allows you to browse for, and then select, files to add to the archive.

Add Folders: This button opens a folder selection dialog that allows you to browse for, and then select, folders to add to the archive.

Add by Criteria: Rather than simply allowing you to add specific files and folders to an archive, the Add by Criteria feature allows you to add files based on whether or not they match a search criteria that you specify. Perhaps the best way to describe Add by Criteria is as a search engine that allows you to search your hard drive for files to add to an archive.

Files can be added to an archive based on their matching the following parameters:

  • Name: Use the File Mask field to specify all or part of the name of a file you wish to add to the archive. You can use Wild Cards to further enhance the search.

  • Folder: Enables you to limit the search to a particular location on your hard drive. The recurse subfolders check box enables you to specify that sub folders in the specified location also be included in the search.

  • Date: Allows you to specify that only files modified after, before, or between certain dates be added.

Fig: The add by Criteria dialog configured to add all files with a ".doc" extension located in the "Other Aladdin Products" folder, or any of its sub-folders.

When you exit the Add by Criteria dialog, a line item is added to the Files to Add list that describes the options you have set. When you exit the Add Files Dialog, StuffIt will search for files that match your criteria and add them to the currently open archive along with any other files and folders you may have selected. To preview the files that will be added as a result of a Add By Criteria task, you can double click its item in the Files to Add list. The StuffIt application will search your hard drive and display a list of all the files that match the criteria you specified.

When items have been added to the Files to Add list, there are several options available that allow you to manage this list:

Remove: Select an item in the list and click the "Remove" button to remove it from the list.

Save List: The save list button allows you to save the current list as a document. You can then use the Load List button to reload this list to perform the same archive task at a later date.

Tip: The ability to Load and Save the Files to Add dialog allows you to very easily maintain an archive that contains backup copies of all your recently used files. Click for a tutorial.

Next: Drag and Drop Windows


Drop Areas

The StuffIt application features four available drop areas, designed to allow you to quickly accomplish tasks by dragging and dropping files and folders.

Expand:

Drag and Drop archives and encoded files to the Expand drop area to expand their contents. The contents of the archive will be immediately saved to disk. You can specify the location where the contents of the archive will be expanded in the Destination tab of the Options sheet.

View:

Drag and Drop Zip (.zip) and StuffIt (.sit) archives to the View drop area to open them for viewing in the StuffIt application.

Compress:

Drag and Drop files and folders to the compress drop area to create archives. The archive that is created is immediately saved to disk. You can specify the location where the archive will be created in the Destination tab of the Options sheet.

Compress and Open:

This drop area works the same as the Compress drop area, except that the archive that is created is immediately opened in the StuffIt application.

Drop Area Compression Options:

The caption bar of the Drag and Drop window contains several buttons that allow you to quickly change how compression tasks will be performed.

Password Protection: You can decide whether or not to password protect the archives you create via the drop area by using the Password Protection button. This button has two states, on and off, click the button to switch between the two. When you create an archive with password protection you will be prompted to enter a password before the archive is created. IMPORTANT NOTE: Make sure to keep your password in a safe place. Aladdin is not able to recover the contents of an encrypted archive whose password has been lost.

Compress and Mail: You can choose to have the archive you create automatically attached to a new email message by using the Compress and Mail button. This button has two states, "Mail" and "Don't Mail", click the button to switch between the two states.

Make Self-Extracting: You can choose to have the archive you create automatically converted into a self extracting archive. The Make Self Extracting button has two states, "Make Self Extracting" and " "Don't Make Self Extracting", click the button to switch between the two states.

Configuring the Drop Area Appearance:

Configuring which Drop Areas are Displayed: You can choose when drop areas are displayed by Choosing "Drop Areas" from the Views menu, and checking or unchecking the areas you want to turn on and off. If you need to turn more than one area on or off, you can choose "Choose Drop Area" to open a dialog that allows you to check which drop areas you would like turned on.

Expander Mode: The StuffIt application includes a special mode that mimics the look and feel of StuffIt Expander, Aladdin's stand alone file decompression tool. This mode removes the left hand tab panel, and the Folder Contents panel, from the application, leaving a single Expand Drop area available. This mode is useful if you want to keep the StuffIt application open, but want to minimize the amount of screen real estate that is used. You can switch to Expander mode by choosing "Expander Mode" from the Views menu. You can choose DropStuff Mode from the Views menu to open a similar view, where a single compress drop area is displayed.

Next: StuffIt Context Menu


StuffIt Context Menu

The StuffIt Context menu allows you to create archives in a Windows Explorer folder without first having to launch the StuffIt application. To create an archive from files or folders in a Windows Explorer folder, select the files you want to compression, and click them with the right mouse button. Choose Compress from the StuffIt Menu to create an archive in the format specified in the Compression tab of the Options sheet.

The following options are available from the StuffIt Context menu:

  • Compress: The selected files and folders are compressed into an archive using the format specified in the Compression tab of the Options sheet.

  • Compress and Open: The selected files and folders are compressed into an archive using the format specified in the Compression tab of the Options sheet. The resulting archive is then opened for browsing in the StuffIt application.

  • Compress and Mail: The selected files and folders are compressed into an archive using the format specified in the Compression tab of the Options sheet. The resulting archive is then attached to a new email message created with the current default email application.

  • Encrypt: The selected files and folders are compressed into an archive using the format specified in the Compression tab of the Options sheet. The user will be prompted to enter and confirm a password used to encrypt the resulting archive.

  • Make Self-Extracting: The selected files and folders are compressed into an archive using the format specified in the Compression tab of the Options sheet. The resulting archive will then be opened in the SEA creation tool where self extracting options can be set. Note: When using StuffIt Standard, the archive will automatically be made into a simple self-extracting archive.

  • Choose Format: The choose format menu item consists of a sub-menu that lists all supported compression and encoding formats. Select a format from the list to create an archive in this format.

  • Compress with Options: A one time options dialog is created that allows the user to set options that will apply only to the current compression task.

Next: Folders Tab


Folders Tab

The Folders tab is used to navigate the folders on your hard drive. This allows you to quickly find the files and folders you wish to archive. The advantage of having this navigation tool built into the StuffIt application is that you do not have to open a lot of Windows Explorer folders to access your files.

When you switch to the Folders tab, the lower right panel in the StuffIt application is used to display the contents of the currently selected folder. The files located in a particular folder are displayed in the Folder Contents window, and not in the Folder Tree itself. You can double click or drag and drop files in the Folder Contents panel in the same way you would were they in a Windows Explorer folder.

Views Button: The Views button is used to switch the way in which the files and folders in the Folder Contents tab are presented. You can choose to use one of several available icon views, or you can have the contents displayed as a list by choosing "Details". When the contents of a folder are displayed using the "Details" view, you can change the criteria used to sort the list by clicking the column headings. Click the column heading again to reverse the order of the sort.

Up a Level Button: The Up a Level button allows you to move to the parent of the folder whose contents are currently being displayed.

Next: ArchiveSearch Tab


ArchiveSearch Tab

StuffIt includes ArchiveSearch, technology that allows you to search for files that are stored within StuffIt and Zip archives.

Open ArchiveSearch: To open the ArchiveSearch dialog, click the ArchiveSearch button on the Toolbar, or click the ArchiveSearch tab.

Searching for Files: ArchiveSearch works much like the Find Files feature in Windows. To search for a file located in an archive:

1. Enter the name of the file you are looking for in the "Search for Files or Folders named..." field.

2. Choose the drive that contains the archives you wish to search in the "Look In" field. You can choose to search all drives by choosing My Computer.

3. Click the Search Now button to begin the search.

Files that match your request will be displayed in the Search Results panel. You can choose to extract matching files from their archives, expand the whole archive, or open the archive that contains the files in ArchiveView.

Search Criteria: ArchiveSearch allows you to narrow you search using a number of parameters.

  • Date: Click the Date check box to reveal options that allow you to narrow the search by specifying the date range in which the file you are looking for was modified.

  • Type: The "Type" field allows you to specify the type of document you are looking for. You can use this field, for example, to narrow the search to only Excel Workbooks.

  • Size: The Date field allows you to narrow the search based on the size of the file you are looking for. You can specify that ArchiveSearch only return files larger than, or smaller than, a specified size.

  • Format: The formats field allows you narrow the search so that ArchiveSearch will only look in StuffIt archives, or only look in Zip archives.

Search Options: ArchiveSearch also lets you exclude certain folders from the Search. This can be helpful, as often you may find archived files in the Windows System directory that typically will not need to be searched. You can add or remove excluded folders in the ArchiveSearch tab of the Options sheet.

Next: Archive Info


ArchiveInfo

The Archive Info Tab displays information about the currently open archive. The ArchiveInfo tab is split into two areas; The top area displays information about the archive file, and the lower area displays information about files contained in the archive that have been selected. The ArchiveInfo tab also displays buttons that allow you to quickly perform common actions such as saving changes to an archive file, or adding a password.

The following information about the archive file is displayed:

Archive Name: When you hold the cursor over the name of the archive, a tool tip will reveal the location of the archive file on your hard drive.

Format: Either Zip or StuffIt archives can be opened for viewing in ArchiveView. Tip: you can change the format of an existing archive by using the Save As command in the File menu.

Date: Date lists the date and time on which the archive file was last modified.

Size: Size reveals how large the archive file is.

Num. of Files: Lists the number of files contained in the archive file.

Password: Reveals if the items in the archive are protected with a password. If no password is being used, the "Add Password" button is created to allow you to quickly add one.

Is Modified: The modified item reveals whether the archive file has been changed since it was last saved. If the archive contains unsaved changes, the "Save" button is created to allow you to save the archive.

Segment Archive Button: Allows the user to split the current archive into smaller pieces so that it fits on a removable disk.

Open Archive Folder: Opens the folder that contains the archive file in a Windows Explorer folder.

The ArchiveInfo tab displays the following information about a file that has been selected in the currently open archive.

Name: Reveals the name of the file.

Folder: Reveals the location of the file with in the current archive.

Size: Lists the original size of the file before it was compressed.

Comp. Size: Lists the size of the compressed file in the archive.

% Saved: Reveals the compression ration.

Extract: Extracts the selected file form the archive.

The File Info section of the ArchiveInfo tab also reveals information about multiple file selections. As more than one file is selected, the Size, Comp. Size, and % Saved fields change to indicate the value for all selected files. When multiple files are selected, the "Extract" button allows you to remove all the selected files from the archive.

Next: Deluxe Info


Deluxe Info Tab

This tab is only used in StuffIt Standard Edition. The Deluxe Info tab is used to display information about purchasing the StuffIt application if it is unregistered, or is used to display information about StuffIt Deluxe if you are currently using StuffIt Standard Edition.

Next: Tool Bar Buttons


Tool Bar Buttons

This topic is designed to provide a tour of the Toolbar buttons in the StuffIt Application:

  • New Archive: The New Archive button is used to create a new archive. A new empty archive will be opened in Archive view. You can add content by dragging and dropping files from a Windows Explorer folder, or the Folder Contents panel within the StuffIt application. You can also add files using the Add Files dialog.

  • Open Archive: Opens a dialog that prompts you to select an archive to be opened in ArchiveView.

  • Add Files: Opens the Add Files dialog. This button is only active when an archive is open in ArchiveView.

  • Extract Selected: This button will extract selected files from an archive open in ArchiveView. You will be prompted to specify a location for these files. This button will only be active when an archive is open, and files have been selected.

  • Make Self-Extracting: This button will close an archive that is open in ArchiveView, and re-open it in the Make Self Extracting dialog. This button is only active when an archive is open in ArchiveView. If the archive is modified, you will be prompted to save your changes.

  • Folders: Switches the left hand panel to the Folders tab. If the left hand panel has been closed, clicking the Folders button will cause it to open.

  • Search: Switches the left panel to the ArchiveSearch tab. If the left panel has been closed, clicking the Search button will cause it to open.

  • Info: Switches the left panel to the ArchiveInfo tab. If the left panel has been closed, clicking the Info button will cause it to open.

  • Drag and Drop: Switches the upper right panel to the Drag and Drop view. If an archive is currently open in ArchiveView, it will not be closed. Click the View button to switch back and view the contents of the archive. If the upper right panel has been closed, clicking the Drag and Drop button will cause it to open.

  • View: Switches the upper right panel to the ArchiveView view. If the upper right panel has been closed, clicking View will cause it to open.

Next: Menu Items


Menu Items

This topic is designed to provide an overview of the Menu items available in the StuffIt application

File Menu:

    • New Archive: Creates a new empty archive in ArchiveView.

    • Open Archive: Creates an select file dialog, prompting you to choose an archive to open in ArchiveView.

    • Save Archive: This menu item allows you to save a modified archive open in ArchiveView.

    • Save As...: Allows you to save an archive open in ArchiveView as a new file.

    • Recent Archives: Recent archives contains a sub menu that lists archives that have recently been opened or created in ArchiveView. The number of archives listed can be modified in the General Tab of the Options sheet.

    • Close Archive: Closes the currently open archive document.

Edit Menu:

    • Options: Opens the StuffIt application Options dialog.

Expand Menu:

    • Extract: This menu item is active only when an archive is open in ArchiveView and items have been selected. The Extract menu item creates a dialog that allows you to choose a destination on your hard drive to which the selected files with be extracted.

    • Extract to Desktop: This menu item is active only when an archive is open in ArchiveView, and files have been selected. The Extract to Desktop menu item causes the selected items to be extracted to the desktop.

    • Expand Archive: This menu item is active only when an archive is open in ArchiveView. The Expand Archive menu item causes the entire archive to be expanded.

Archive Menu:

    • Add Files: Opens the Add Files dialog. The Add Files dialog is used to add multiple files at once to an archive open in ArchiveView.

    • Make Self Extracting: This button is active only when an archive is open in ArchiveView. The Make Self-Extracting Menu item opens the current archive in the StuffIt SEA utility.

    • Password Protect: This menu item is active only when an archive is open in ArchiveView. It allows you to encrypt the currently open archive with a password.

    • Mail: This menu item is active only when an archive is open in ArchiveView. It adds the currently open archive as an attachment to a new mail message.

    • Segment: This menu item is active only when an archive is open in ArchiveView. It allows you to split the current archive into smaller pieces.

    • Compression Level: This menu item is active only when an archive is open in ArchiveView. It allows you to set the level of compression used when the archive is next saved.

View Menu:

    • Toolbar: This menu allows you to turn the toolbar on and off.

    • Status Bar: This menu item allows you to turn off the status bar.

    • Explorer Bar: This menu item allows you to choose which of the tabs will be displayed in the Explorer bar in the left hand panel of the application.

    • Drop Areas: This menu item allows you to choose which of the available application drop areas are displayed.

    • DropStuff Mode: This menu item allows you to switch the User Interface of the StuffIt application to Drop Stuff mode. In this mode, only a single drop area is displayed, allowing you to drag and drop files and folders to compress them into new archives.

    • Expander Mode: This menu item allows you to switch the User Interface of the StuffIt application to StuffIt Expander mode. In this mode, only a single drop area is displayed, allowing you to drag and drop archives and encoded files to expand them.

    • ArchiveView Mode: This menu item allows you to switch the User Interface of the StuffIt application to ArchiveView mode. In this view the over-all size of the application is reduced, and only the ArchiveView windows is displayed.

    • Compact Mode: This menu item allows you to switch the User Interface of the StuffIt application to Compact mode. In this view the over-all size of the application is reduced, and only the Drag and Drop areas are displayed.

Tools Menu:

    • Quick Compress/Encode: This menu item contains a sub-menu that lists all the formats that the StuffIt application is able to create. When you pick a format from the list, a dialog will be created allowing you to pick a file to compress or encode.

    • StuffIt Express: This menu item allows you to launch the StuffIt Express application.

    • SEA Builder: This menu item allows you to launch the StuffIt SEA Builder.

Help Menu:

    • Help Topics: This menu item open the Help file, and displays a list of the available topics.

    • What's This?: This menu item allows you to access contextual help topics by clicking the question cursor on certain areas of the StuffIt application.

    • How to Use Help: Opens a help topic that explains how the use the Help file.

    • How to Get Support: Opens a help topic that explains how to get technical support from Aladdin.

    • StuffIt Tips: Opens the tips dialog.

    • About StuffIt: Opens the StuffIt About Box. You can use the About box to enter your registration code if you have purchased an evaluation copy of StuffIt Deluxe.

Next: Command Line Options

Copyright © 2002 Aladdin Systems, Inc. All Rights Reserved.


StuffIt Command Line Options

StuffIt is also accessible via a Command line. The following commands are available:

Basic:

Compress file(s) as StuffIt Archive | -stuff
Compress file(s) as Zip Archive | -zip
Compress and Encrypt File(s) | -encrypt
Compress and Mail File(s) | -mail
Compress and Make Self-Extracting | -selfextracting

Archive Creation:

Add files to an archive | -add, -a
Create a new archive | -create, -c
Encode | -encode, -enco, -n
Expand | -expand, -ex, -e
Create archive and open in UI | -createandopen
Create with one time options | -options

Compression:

Specify Archive Format | -format, -f
Specify Compression Level | -level, -lev
Create with Encryption | -encrypt, -encr
Specify Password for encryption | -password, -p
Recurse sub-folders for files to compress | -recurse, -r
Specify Archive Name | -name, -na

Expansion:

Extract Files from an archive | -extract, -ext, -x
 | -replace, -rep, -m
 | -rename, -ren
 | -size, -s

User Interface

Open with Archive View | -view, -v, -list
Open with Drop Areas | -drop, -dr
Open with ArchiveSearch | -search, -se
Open with ArchiveInfo | -info, -in
Open with no left panel | -notabbed -not
Open with no right panel | -nomain, -nom
Open application to a specific Width | -width <width>, -wid <width>
Open application to a specific Height | -height <height>, -hei <height>
Open application in compact mode | -compact, -comp
Open in Expander Mode | -uiexpander
Open in DropStuff Mode | -uidropstuff

Output:

Log to Command Line | -cmdline, -cmd
Detailed log | --trace, --t
StuffIt Engine Version Number | -version, -ver
Quiet mode | -quiet, -q

Next: Supported Archive Formats


Supported Archives and Encoded Files

This topic provides information about the archive and encoded file types you can create and open with the StuffIt application.

StuffIt allows you to open the following file types:

  • StuffIt archives (.sit, .sea) Includes encrypted StuffIt archives, segmented archives, as well as files in StuffIt 3.x, 2.x, and 1.5.x format.

  • Zip archives (.zip) Includes encrypted and segmented zip archives.

  • RAR archives (.rar)

  • Arc archives (.arc, .pak)

  • Bzip archives (.bz, .tbz, tbz2)

  • Gzip archives (.gz, tgz)

  • Lha archives (.lha, .lzh)

  • Unix Compress archives (.Z)

  • Tar archives (.tar)

  • Base64/MIME encoded (.b64, .mim, .mme)

  • BinHex encoded files (.hqx)

  • UUcode encoded files (.uu, .uue)

  • MacBinary encoded files (.bin)

StuffIt allows you to create files in the following formats:

  • Zip (.zip) Includes support for browsing, manipulation, encryption, and self extraction.

  • StuffIt (.sit) Includes support for browsing, manipulation, encryption, segmentation, and self extraction.

  • UUcode

  • BinHex

  • Private File 128bit Encrypted Archives

Next: Compression Primer


Compression Primer

File Compression Explained

What is file compression?

Compression works by eliminating or minimizing redundancy in a file, making your files smaller without losing any information. Every character on your computer, every letter, digit and punctuation mark, is actually made up of several characters that make up computer code. A simple example of compression is: If you have a set of characters "AAAADDDDDDD" representing a letter, one type of compression software can rewrite this as "4A7D", saving seven spaces and making that line 64% smaller. Compression software uses algorithms to do this.

What is an archive?

Think of an archive as the container that holds your compressed files. An archive can contain a single file or many files, which can be in many folders inside the archive. Each archive is a single document, just like a word processing document, graphics file or database.

StuffIt vs. Zip Compression

StuffIt equals compression.

Aladdin Systems is the developer of the StuffIt file format (.sit) as well as the publisher of the StuffIt product line. Compression is at the heart of the StuffIt brand, and the StuffIt line of products creates both StuffIt (.sit) and zip (.zip) archives to provide you with greater flexibility when distributing, or backing up your files.

StuffIt archives are typically smaller than zip-compressed files, making StuffIt the format of choice when file size matters. The more data you compress, the more StuffIt technology will pay off, compressing most large files up to 20% smaller than zip. StuffIt can compress your files up to 98% of their original size, so they fly across the Internet or networks faster, and arrive at their destinations sooner. And, you can get more data onto your hard drive or removable media such as Zip disks, CDs, or floppies. When smaller is better, use StuffIt.

With StuffIt, you'll not only create and send the smallest archives, but you'll ensure that the integrity of your data is intact and readable to the recipient. The StuffIt file format (.sit) protects file attribute information for both PC and Mac files, and because it's Unicode compliant, files that are named with non-roman and 2-byte characters will be successfully preserved when you expand them. Your data is important, so why trust it with any other compression utility? Just StuffIt.

Next: StuffIt, NTFS, and Macintosh Files


StuffIt, NTFS, and Macintosh Files

Macintosh files are different from Windows files. They contain both a data fork and a resource fork. A Windows hard drive that is formatted as either a FAT 16 or FAT 32 volume is not able to support [image] Macintosh resource forks, and as a result any Macintosh file stored on these volumes may become corrupt and unusable even if it is transferred back to a Macintosh. Windows 2000 and Windows XP support another hard drive format called NTFS. Drives that are formatted as NTFS volumes are able to preserve the resource fork of a Macintosh file. When you create StuffIt archives on NTFS volumes, the resource fork and Finder Information of the file will be preserved when it is added to an archive. This means that when you unstuff the archive on a Macintosh computer the file should work correctly.

The StuffIt application also supports additional Macintosh file elements when expanding files from a StuffIt archive. If you expand a file from a StuffIt archive onto an NTFS formatted hard drive the resource fork and Finder information will be correctly preserved.


StuffIt Options

StuffIt Options (and their effect)

By default the StuffIt application is configured in a way that will suit most users performing basic compression and decompression tasks. In order to determine your personal preference for several key settings, the application will ask you what you would like to do the first time they are performed. For example, the first time you double click on an archive in a Windows Explorer folder, you are asked whether you would like to open it for browsing, or immediately expand the contents. When you make your choice, this preference will be remembered for the next time you do the same task.

If you want to change any of the settings for the StuffIt application, choose Options from the edit menu to open the Options dialog. The following tabs are available that allow you to control all aspects of the application:

  • General

  • Expansion

  • Compression

  • Archive

  • ArchiveSearch

  • Destination

  • Cross Platform

  • Association


General Tab

The General tab contains settings that apply broadly across the application.

Double Click Browse-able Archives: When you double click browse-able archives you can choose to either open then for browsing in the StuffIt application, or immediately expand the contents. Click the "View" radio buttons to view supported archives, or click the "Expand" radio button to immediately expand the contents.

Open Archives within Archives: This option describes what will happen when you attempt to open an archive when another archive is already open for viewing in the StuffIt application. Click "Start a New StuffIt application" to have another copy of the StuffIt application launch to display the new archive, or click "Close Current Archive" to have the StuffIt application prompt you to close (and save if necessary) the current archive to open the new one.

Check for New Versions of StuffIt at Application Launch: When this option is set, the StuffIt application will check online at every launch to see if a newer version is available. If a newer version is found you will be asked if you would like to download and install it.

Show Tooltips: Tool tips are the small yellow text tags that appear when you hover the mouse over an object in the StuffIt user interface. Check or un-check the box to show or hide tool tips.

Create Desktop Icons for DropStuff and Expander: This button will create desktop icons called StuffIt Expander and DropStuff. You can drag and drop archives and Encoded files to the StuffIt Expander desktop icon to expand them, or you can drag and drop files and folders to the DropStuff icon to create archives.

Reset Tutorial Mode: Tutorial mode is where the StuffIt application will ask you how you would like some basic compression and decompression tasks to be performed. Once you have answered these questions once, tutorial mode is turned off. If you would like to turn tutorial mode back on (for example if you are a new user working with an existing copy of StuffIt on a computer that belongs to somebody else) click this button.

Next: Expansion


Expansion Tab

The Expansion tab contains settings that apply when you expand archives and encoded files.

Continue to Expand when the result is a Single File: This option is designed to allow the StuffIt application to automatically expand a zip file that has been .uu encoded. When this option is checked, when StuffIt expands and archive or encoded file, and finds that the result is a single file, it will automatically check to see if that single file can be further expanded.

Delete Intermediate files that have been further expanded: When this option is set, the StuffIt application will automatically delete the intermediate file created in the example above. For example, if StuffIt expands a UUcode file which contains a zip archive, and then goes on to expand the zip archive, the zip archive will be deleted when its contents have been successfully extracted.

Delete original file after successful expansion: When this option is set, StuffIt will automatically delete expanded archives and encoded files.

Overwrite Action: This setting allows you to determine how the StuffIt application will handle a situation where a file being expanded from an archive has the same name as a file that is already in the target directory. You can choose to have the StuffIt application always ask you what to do (recommended), or you can choose one the following additional options:

  • Rename Expanded File; the file being expanded will have _1 appended to its name.

  • Always Replace; Files being expanded from the archive will always replace files in the existing location.

  • Skip; files in the archive will not be expanded when an item with the same name exists in the target location.

Create Surrounding folder: This option is used to determine whether files being expanded from an archive should be placed in a newly created folder. The following options are available:

  • Always; the surrounding folder is always created.

  • Never; the surrounding folder is not created.

  • When Archive contains multiple items; a folder will be created only when the archive being expanded contains multiple items.

Next: Compression


Compression Tab

The compression tab allows you to change set the archive format and compression level that is used when creating archives using ArchiveView, the application drag and drop areas, and the StuffIt Context menu. Each of these three ways of compressing files can have a unique setting. You can configure the following options for all three areas:

Archive Format: This combo box allows you to pick either StuffIt or Zip as the archive format. To create other formats, you must either use the QuickCompress menu in the Tools menu, or the StuffIt context menu.

Create Self Extracting: This check box is used to determine if the archive created should automatically be made self-extracting.

Compression Level: This slider is used to determine the level of compression to be used. Typically, compression level is a trade off between speed and the size of the archive created. Choose Fast to optimize for speed, choose Max to produce the smallest archives.

Next: Archive


ArchiveSearch

ArchiveSearch Settings

The ArchiveSearch settings allow you to exclude archives located in particular directories from a search. This can be done to increase the speed with which results are returned. Typically, it is not necessary to search archives located in the Windows or System Directories. Typically, any archives located in these folders are used to store system files, and will not contain documents that you have created. These directories will be excluded by default.

  • Click the "Add" button to browse for folders to add to the exclusion list.

  • Click the "Remove" button to remove a selected folder from the exclusion list.

Next: Destination


Archive

Archive Tab

The Archive tab contains settings that relate to how StuffIt will add files to Zip and StuffIt archives. These settings are applied globally throughout the application.

Delete Originals after Compression: Using this setting, files added to an archive are automatically deleted when the compression task has been completed. WARNING: Use this option only if you are sure you want the original files to be deleted after they have been added to an archive.

Compress Originals instead of Shortcut: This setting determines what will happen when StuffIt comes across a shortcut among files being added to an archive. With the box checked, StuffIt will add the original file instead of the short cut to the archive.

Compress each item as an individual archive: This option is useful when dragging more than one file to the Compress drop area. It causes each file or folder you choose to compress to be compressed as it's own archive. If you drag and drop 3 files to the compress drop area, the StuffIt application will create three archives, instead of adding all 3 three files to a single archive.

Don't Compress Files that are Already Compressed: The StuffIt application maintains a list of file types that are known to contain compressed data. When this box is checked, StuffIt will automatically add these files to an archive without attempting to compress them. Files that contain compressed data typically cannot be further compressed with a zip utility such as StuffIt. Click for a list of file types that contain compressed data.

Next: ArchiveSearch


Destination Tab

The destination tab is used to tell the StuffIt application where files are to be created. The Expansion destination is used to specify where files are to be saved after an archive has been expanded, and the Compression destination is used to specify where a newly created archive should be saved.

Compression Destination

Same as Original: When this option is selected, the archive will be created in the same folder as the files that were compressed.

Ask Each Time: When this option is selected, the StuffIt application will ask where to create the new archive for every compression task.

Use: This option is used to specify a default location where archive will be created. This option can be used, for example, to cause all new archives created to be saved in the My Documents folder.

Expansion Destination

Same as Original: When this option is selected, files extracted from the archive will be saved in the same folder as the archive itself.

Ask Each Time: When this option is selected, the StuffIt application will ask each time where to save files after an archive has been expanded.

Use: This option allows the user to specify that the same location be used to save files every time an archive is expanded. This option can be used, for example, to save files from expanded archives in the My Documents folder.

Next: Cross Platform


Cross Platform Tab

The Cross platform tab contains settings that effect how the StuffIt application will handle files originating from a platform other than Windows. The settings in this tab make it easy for you to exchange files with users who work with Macintosh, Linux, or other Unix based systems.

Convert Text Files to Windows Format

This option can be used to convert text files originating from other platforms so that they are displayed correctly on a Windows based computer. Macintosh, Windows, and Unix based systems all use different characters in a plain text file to signify that a line break should appear. This setting will change the characters used on Macintosh and Unix systems to the character used on Windows. The following settings are available:

When a file is known to contain text: The StuffIt application will scan all files extracted from an archive and try to determine if they contain text. If it is determined that the file contains text, the StuffIt application will attempt to reformat that text to be displayed correctly on Windows computers.

Never: The file will not be altered. This setting is the default, and is best for general use.

Save Macintosh Files in MacBinary Format

Macintosh files are different from Windows files. They contain both a data fork and a resource fork. A Windows formatted hard drive is not able to preserve the resource fork of a Macintosh file, and therefore the resource fork will be lost. Some Macintosh files will work correctly without their data fork, others (including all Macintosh applications) will not. If the archive you are expanding contains Macintosh files, this setting will cause those files to be MacBinary encoded so that they will work correctly when they are transferred to a Macintosh. The following settings are available:

When a File Contains a Resource Fork: Files being extracted from a StuffIt archive will only be MacBinary encoded when they are know to contain a resource fork.

Never: Files being extracted from an archive will never be MacBinary encoded when they are extracted from a StuffIt archive.

Always: Macintosh files will always be MacBinary encoded when they are extracted from an archive, whether or not they contain a resource fork.

Note: The StuffIt Reference Topic "StuffIt and Macintosh Files on NTFS volumes" for more information.

Add File Extenstion

Files that originate from a Macintosh are often compatible with, and can be opened by, Windows applications. However, the problem that most users encounter when they try to open Macintosh files is that the Windows OS does not know what Windows application they should be opened with. This problem is caused by the fact that Windows and Macintosh based computers use different methods to tie a document to an application that is able to open it. A Windows computer uses file extensions (ie the letters at the end of a file name), while Macintosh computers use "Type and Creator" codes that are hidden in the files. The Add File Extension settings determine how the StuffIt application will handle the translation of Macintosh Type and Creator codes into Windows extensions. The following options are available:

Add if no Extension: When this option is selected, the StuffIt application will attempt to add a Windows extension to a file name if none exists.

Never: When this option is selected, the StuffIt application will never try to add a Windows extension.

Always (add or replace): When this option is selected, the StuffIt application will always create a Windows extension for a file. If an existing extension is found, it is replaced.

Next: Associations


Associations Tab

The Associations tab governs what types of files the Windows OS will attempt to open with the StuffIt application when they are double clicked. The Associations page is laid out so that every supported format has a check box. The description of each format that is provided also includes a list of the file extensions that files in this format are known to use. In many cases, a particular file type will have more than one extension.

When the box is checked, files in this format will be opened with the StuffIt application. When the box is unchecked, the StuffIt application will not be used to open this type of file. You can assign a file type to StuffIt by checking its box. The changes are not made until you click the OK button to exit the dialog. You can cancel any changes before you click the OK button, by clicking the Cancel button. When you click the Cancel button, all changes will be lost.

The "Select All File Associations" buttons will cause all supported formats to be associated with the StuffIt application.

Warn me if StuffIt is not associated with all supported file types:

When this box is checked, the StuffIt application will warn you, every time it is launched, if it is not associated with all supported archives and encoded files. This can be useful if another application takes an association away from StuffIt without your knowledge. You can turn this warning off by unchecking this box.


Tutorials Overview

The following tutorials provide a practical way for you to learn how to get the most out of the StuffIt application.

  • Add Files Tutorial: Explains how to use the Add Files dialog.

  • StuffIt Express Tutorial: How to create Drop Box applications to automate common file compression and transfer tasks.

  • Creating Self Extracting Archives: How to create a custom Self-Extracting Archive to distribute your files.

  • Backing up with StuffIt and the Windows Scheduler: Learn how to use StuffIt Express in conjunction with the StuffIt Scheduler to automate the back up of your data.


Add Files Tutorial

This tutorial describes how to use the Add Files dialog to help you maintain an archive that contains back-up copies of recently modified MS Word files.

1. Click the "New Archive" button to create a new archive in ArchiveView.

2. Click the "Add Files" button to open the Add Files dialog.

3. Click the "Add by Criteria" button to open the Add by Criteria dialog.

4. Use the Browse button next to the "Folders" field to select the folder in which you keep your document (for example, My Documents).

5. In the File Mask field type "*.doc" so that any files that contain the .doc suffix will be matched and added to the archive. Typing *.doc will add any Word Documents created by Microsoft Word.

6. Click the "Date" tab.

7. Click the "Only Files Modified In" radio button.

8. Click the "In the Last...Days" radio button.

9. Click the up arrow to select 7 days.

10. Click OK.

11. Click "Save List" in the Add Files Dialog.

12. Save the list file.

13. Click OK.

The StuffIt application will now search your hard drive for files that match the criteria, and add any matching files to the new archive you created. When you close the archive you will be prompted to save it, and the archive will be re-compressed.

You can maintain this archive using the following method:

1. Open the archive created in example 1.

2. Click the Add Files button.

3. Click the Load List button, and browse for the list file created in example 1.

4. Click OK.

This will cause any file that has been updated in the last 7 days to be added to your backup archive. Older copies of modified files that exist in your archive will be replaced by the most recent version.


Contacting Aladdin Systems

How to Contact Aladdin

Aladdin Systems, Inc.

245 Westridge Drive

Watsonville, CA 95076

USA

Phone: 1+ 831-761-6200

Fax: 1+ 831-761-6206

Corporate: http://www.aladdinsys.com

StuffIt Product Information: http://www.stuffit.com

For Sales Inquires:

sales@aladdinsys.com

http://www.aladdinsys.com/store

Technical Support

Please check our FAQ page for information on common issues and for information about available updates.

http://www.aladdinsys.com/support

Aladdin provides telephone support for all registered users.

831-761-6200 (Mon-Fri)


Software License Agreement

This is a legal agreement between you and Aladdin Systems, Inc. covering your use of StuffIt Deluxe(tm) and or StuffIt Standard Edition(tm) (the "Software"). Be sure to read the following agreement before using the Software. BY USING THE SOFTWARE (REGARDLESS IF YOU HAVE REGISTERED THE SOFTWARE OR NOT), YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT USE THE SOFTWARE AND DESTROY ALL COPIES IN YOUR POSSESSION.

The Software is owned by Aladdin Systems and is protected by United States copyright laws and international treaty provisions. Therefore, you must treat the Software like any other copyrighted material (e.g., a book or musical recording). Paying the license fee allows you the right to use one copy of the Software on a single computer. You may not network the Software or otherwise use it or make it available for use on more than one computer at the same time. You may not rent or lease the Software, nor may you modify, adapt, translate, reverse engineer, decompile, or disassemble the Software. If you violate any part of this agreement, your right to use this Software terminates automatically and you must then destroy all copies of the Software in your possession. The Software and its related documentation are provided "AS IS" and without warranty of any kind and Aladdin Systems expressly disclaims all other warranties, expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. Under no circumstances shall Aladdin Systems be liable for any incidental, special, or consequential damages that result from the use or inablility to use the Software or related documentation, even if Aladdin Systems has been advised of the possibility of such damages. In no event shall Aladdin Systems' liability exceed the license fee paid, if any.

This Agreement shall be governed by the laws of the State of California. If for any reason a court of competent jurisdiction finds any provision of the Agreement, or portion thereof, to be unenforceable, that provision of the Agreement shall be enforced to the maximum extent permissible so as to effect the intent of the parties, and the remainder of this Agreement shall continue in full force and effect.

The Software and documentation is provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subdivision (b)(3)(ii) of the Rights in Technical Data and Computer Software clause as 252.227-7013. Manufacturer is Aladdin Systems, Inc., 245 Westridge Drive, Watsonville, California 95076. Aladdin Systems, Inc., 245 Westridge Dr., Watsonville, California, 95076, United States of America

(831) 761-6200 telephone, (831) 761-6206 facsimile.


How to use help

This help file is designed to help both novice and experienced users get the most from the StuffIt application. If you are new to using computers, or new to using compression software, we would recommend that you view the "Getting Started" topic before you continue. Getting Started contains six topics that cover the basics of using StuffIt to compress and expand archives. The topics are designed to be read in order from first to last.

The "StuffIt Reference" section is designed to provide more details about specific areas of the application. You can choose to either read all the topics from beginning to end, or you can pick just the topic that

Separate help topics are provided to cover information about using the Self Extracting Archive creation tool, and StuffIt Express.


About Box

The About Box allows you to access important information about the StuffIt application. The About Box displays version information for both the StuffIt application and the StuffIt Engine. You registration information will also be displayed here. When you contact Aladdin Technical Support you will need to have this information available.

The About Box also contains links to important StuffIt information online:

  • Email: Creates an email that will be sent to the Aladdin Sales Group.

  • Web Site: Connects you to StuffIt.com, where you can find information about the complete StuffIt product family.

  • Technical Support: Connects you to Technical Support resources online. The online support pages include forms that allow you to send questions to Aladdin support technicians.

If your copy of StuffIt is unregistered, you will find buttons in the About box that allow you to purchase and register your copy of StuffIt.

  • Purchase: Connects to Aladdin's online store where you can purchase a registration for your copy of StuffIt.

  • Enter Code: Opens a dialog that allows you to enter your StuffIt registration number.

The About box also has a Credits button that displays a list of all the talented individuals who worked on StuffIt.


Add By Criteria Date

Rather than simply allowing you to add specific files and folders to an archive, the Add by Criteria feature allows you to add files based on whether or not they match a search criteria that you specify. Perhaps the best way to describe Add by Criteria is as a search engine that allows you to search your hard drive for files to add to an archive.

The Date tab allows you to add files using the following criteria:

  • Date: Allows you to specify that only files modified after, before, or between certain dates be added.

Click here for more information on the Add Files dialog.


Add By Criteria General

The following Wild cards are supported:

* - Used to replace any number of characters. *.doc, when used as a search string, will return all Microsoft word documents with a .doc suffix.

? - Used to replace only a single character. ?.doc will match a.doc, and b.doc, but not ab.doc.

Add By Criteria (General)

Rather than simply allowing you to add specific files and folders to an archive, the Add by Criteria feature allows you to add files based on whether or not they match a search criteria that you specify. Perhaps the best way to describe Add by Criteria is as a search engine that allows you to search your hard drive for files to add to an archive.

The General tab allows you to add files based on the following criteria:

  • Name: Use the File Mask field to specify all or part of the name of a file you wish to add to the archive. You can use Wild Cards to further enhance the search.

  • Folder: Enables you to limit the search to a particular location on your hard drive. The recurse subfolders check box enables you to specify that sub folders to the specified location also be included in the search.

Click here for more information about the Add Files dialog.


Add Files General

The following Wild cards are supported:

* - Used to replace any number of characters. *.doc, when used as a search string, will return all Microsoft word documents with a .doc suffix.

? - Used to replace only a single character. ?.doc will match a.doc, and b.doc, but not ab.doc.

Add Files Dialog:

The Add Files dialog contains the "Files to Add" list, along with several buttons that offer different ways to select those files you wish to add.

Add Files: This button opens a file selection dialog that allows you to browse for, and then select, files to add to the archive.

Add Folders: This button opens a folder selection dialog that allows you to browse for, and then select, folders to add to the archive.

Add by Criteria: Rather than simply allowing you to add specific files and folders to an archive, the Add by Criteria feature allows you to add files based on whether or not they match a search criteria that you specify. Perhaps the best way to describe Add by Criteria is as a search engine that allows you to search your hard drive for files to add to an archive.

Files can be added to an archive based on their matching the following parameters:

  • Name: Use the File Mask field to specify all or part of the name of a file you wish to add to the archive. You can use Wild Cards to further enhance the search.

  • Folder: Enables you to limit the search to a particular location on your hard drive. The recurse subfolders check box enables you to specify that sub folders to the specified location also be included in the search.

  • Date: Allows you to specify that only files modified after, before, or between certain dates be added.

When you exit the Add by Criteria dialog, a line item is added to the Files to Add list that describes the options you have set. When you exit the Add Files Dialog, StuffIt will search for files that match your criteria and add them to the currently open archive along with any other files and folders you may have selected.

When items have been added to the Files to Add list, there are several options available that allow you to manage this list:

Remove: Select an item in the list and click the "Remove" button to delete it.

Save List: The save list button allows you to save the current list as a document. You can then use the Load List button to reload this list to perform the same archive task at a later date.

Tip: The ability to Load and Save the Files to Add dialog allows you to very easily maintain an archive that contains backup copies of all your recently used files. Click for a brief tutorial.

Click here for more information about the Add Files dialog.


ArchiveOptionsTab

Archive Tab

The Archive tab contains settings that relate to how StuffIt will add files to Zip and StuffIt archives. These settings are applied globally throughout the application.

Delete Originals after Compression: Using this setting, files added to an archive are automatically deleted when the compression task has been completed. WARNING: Use this option only if you are sure you want the original files to be deleted after they have been added to an archive.

Compress Originals instead of Shortcut: This setting determines what will happen when StuffIt comes across a shortcut among files being added to an archive. With the box checked, StuffIt will add the original file instead of the short cut to the archive.

Compress each item as an individual archive: This option is useful when dragging more than one file to the Compress drop area. It causes each file or folder you choose to compress to be compressed as it's own archive. If you drag and drop 3 files to the compress drop area, the StuffIt application will create three archives, instead of adding all 3 three files to a single archive.

Don't Compress Files that are Already Compressed: The StuffIt application maintains a list of file types that are known to contain compressed data. When this box is checked, StuffIt will automatically add these files to an archive without attempting to compress them. Files that contain compressed data typically cannot be further compressed with a zip utility such as StuffIt. Click for a list of file types that contain compressed data.

Next: ArchiveSearch


ArchiveView

ArchiveView is the part of the StuffIt application that allows you to browse through the contents of an archive. When you open an archive in ArchiveView, the folder, or directory, structure of the data is preserved. This means that you browse through the contents of an archive in the same way that you would browse through the contents of a folder on your hard drive. In fact, ArchiveView is designed to work as similarly to Windows Explorer as possible.

When you are inside an archive, you may see a folder icon. This means that the archive you have open contains several folders. To look inside a folder in an archive, simply double click its icon. This will cause ArchiveView to display the contents of the folder. To move out of the folder, simply double click the "Up" button on the ArchiveView caption bar, or double click the folder called "Up a Level".

You can choose to view the data in an archive in several ways. To change the view, use the "Views" button on the ArchiveView caption bar. ArchiveView supports all the ways of looking at files that you may be used to from using Windows, you can choose to view a list of the files in an archive with small icons, large icons, as a list, or as a detailed list. The detailed list view allows you to sort the files in the archive by common attributes such as size, and date modified. To change the sort order of a list when you are in details view, simply click the column heading of the attribute that you want to sort by. To sort by date, click the date column heading. To reverse the sort order, click the column heading a second time.

When an archive is open in archive view, you can right click on any of the files or folders it contains to perform several archive actions:

  • Open: Launches the selected item.

  • Extract: Allows you to extract the selected item without having to expand the whole archive.

  • Extract to Desktop: Extracts the selected file to the desktop.

  • Expand Archive: Expands all the files in the archive at once.

  • Add Files or Folders: Opens the Add Files dialog, which allows you to add files to an existing archive.

  • New Folder: Adds a new empty folder to the current archive.

  • Delete: Removes the selected item from the archive.

  • Properties: Opens a properties dialog to provide you with information about the selected item.


Drag and Drop: Caption Bar

The caption bar of the Drag and Drop window contains several buttons that allow you to quickly change how compression tasks will be performed.

Password Protection: You can decide whether or not to password protect the archives you create via the drop area by using the Password Protection button. This button has two states, on and off, click the button to switch between the two. When you create an archive with password protection you will be prompted to enter a password before the archive is created. IMPORTANT NOTE: Make sure to keep your password in a safe place. Aladdin is not able to recover the contents of an encrypted archive whose password has been lost.

Compress and Mail: You can choose to have the archive you create automatically attached to a new email message by using the Compress and Mail button. This button has two states, "Mail" and "Don't Mail", click the button to switch between the two states.

Make Self-Extracting: You can choose to have the archive you create automatically converted into a self extracting archive. The Make Self Extracting button has two states, "Make Self Extracting" and " "Don't Make Self Extracting", click the button to switch between the two states.


Drag and Drop: Compress

Drag and Drop files and folders to the compress drop area to create archives. The archive that is created is immediately saved to disk. You can specify the location where the archive will be created in the Destination tab of the Options sheet.


Drag and Drop: Compress and Open

This drop area works the same as the Compress drop area, except that the archive that is created is immediately opened in the StuffIt application.


Drag and Drop: Expand

Drag and Drop archives and encoded files to the Expand drop area to expand their contents. The contents of the archive will be immediately saved to disk. You can specify the location where the contents of the archive will be expanded in the Destination tab of the Options sheet.


Drag and Drop: View

Drag and Drop Zip (.zip) and StuffIt (.sit) archives to the View drop area to open them for viewing in the StuffIt application.


DropArea Generic

Help with StuffIt Drag and Drop

Click for help with:

  • Expand Drop Area

  • Compress Drop Area

  • View Drop Area

  • Compress and Open Drop Area

  • Drop Area Caption Bar Buttons


Enter Code dialog

Enter your Name, Company (if applicable), and a valid Registration number in the fields provided.

If you purchased StuffIt electronically via Aladdin's online store, your registration number should be contained in a confirmation email. If you purchased a boxed copy of StuffIt, your registration number will be on a piece of paper inside the CD sleeve.

If you have any questions please call Aladdin Customer Service 831-761-6200.


Extract Dialog

The quickest way to extract a single file from an archive is to drag and drop it from ArchiveView to a folder in the Folders tab in the left panel. You can also drag and drop files from ArchiveView to a Windows Explorer folder.

The Extract Files dialog is used when you select files in an open archive and click the "Extract Files" button, or when you right click a file in ArchiveView and choose Extract from the context menu.

Extract These Files and Folders: This list displays all of the files and folders that you have selected to remove from the archive.

Remove Button: You can remove items from this list by selecting them and clicking the Remove button.

Location: The directory to which the files will be extracted is displayed at the bottom of the dialog. By default, files will be extracted to the My Documents folder. You can choose a new location using the Browse button.

Click here for more information about ArchiveView.


Nag dialog

Registration Dialog

The registration, or "nag" dialog is displayed every time you launch an unregistered copy StuffIt Lite after your 30 day evaluation period has elapsed. When you download StuffIt Lite from the web, you may use it without paying for a 30 day evaluation period. After the 30 days, if you continue to use StuffIt, you should pay the registration fee.

The Registration Dialog contains the following elements:

  • Purchase Button: Connects to Aladdin's online store where you can purchase a registration number.

  • Enter Code Button: Opens a dialog that prompts you to enter your registration information.

  • Later Button: Exits the registration dialog and continues to launch the application.

  • More Info Button: Connects to the Product information page on StuffIt.com.


Password Protect

The Password dialog is used to enter, and then confirm, the password that will be used as a key to encrypt the archive. StuffIt compression currently uses a 40bit encryption method.

Important Note: Be sure to make a note of the password that you use. If you loose your password you will not be able to open the archive. Aladdin Systems is not able to open an encrypted archive whose password has been lost.


Search Results

The Search Results window is used to display files that match the search criteria specified in the ArchiveSearch tab. Right click any of the matching files to access several available options:

  • Open: Launches the selected item.

  • Open Containing Archive: Opens the archive that contains the selected item in StuffIt application so that you can view the contents.

  • Extract to Desktop: Extracts the selected file to the desktop.

  • Expand Archive: Expands all the files in the archive at once.

  • Add Files or Folders: Opens the Add Files dialog, which allows you to add files to an existing archive.

  • Go To Archive Folder: Opens the folder on the hard drive where the archive that contains the matching file is located.

  • Properties: Opens a properties dialog to provide you with information about the selected item.


Segment

Segmentation is a process though which a large archive is broken into smaller pieces. This process is often used when a large archive needs to be transported via floppy disks, or when you need to send a file to an email account that will not accept attachments above a certain size.

The Segmentation dialog allows you to specify the size of the pieces that will be created. You can choose one of the default options, which are defined as the size of many of the more popular removable media formats, or you can specify a custom size by choosing "Other" from the pop-up menu.

To Expand the segments, simply drag and drop segment number 1 onto the Expand drop area in the StuffIt application. If the rest of the segments are available in the same folder, the StuffIt application will automatically rejoin all the pieces and expand the archive. If the other pieces are not immediately available, for example if they are on other floppy disks, you will be prompted to provide them.

Important Note: In order to rejoin a segmented archive ALL the segments must be available. If a piece is missing or corrupted, you will not be able to rejoin and expand the archive.


Already Compressed Files

The following is a list that contains examples of the file types that StuffIt will not attempt to compress when the Don't Compress Already Compressed Files preference is set.

Jpeg Images - (.jpeg,.jpg)

Gif Images- (.gif, .giff)

MPEG Movies- (.mpeg, .mpg)

QuickTime Movies- (.mov)

MP3 Music Files- (.mp3)

Real Audio Multi-Media Files - (.ra)

Windows Media Music and Movie Files- (.wma)